scala.math

# Numeric

#### object Numeric extends Serializable

Source
  Numeric.scala
Since

  2.8

Linear Supertypes
Serializable, java.io.Serializable, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Numeric
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait BigDecimalAsIfIntegral extends BigDecimalIsConflicted with Integral[BigDecimal]

2. #### trait BigDecimalIsConflicted extends Numeric[BigDecimal]

3. #### trait BigDecimalIsFractional extends BigDecimalIsConflicted with Fractional[BigDecimal]

4. #### trait BigIntIsIntegral extends Integral[BigInt]

5. #### trait ByteIsIntegral extends Integral[Byte]

6. #### trait CharIsIntegral extends Integral[Char]

7. #### trait DoubleAsIfIntegral extends DoubleIsConflicted with Integral[Double]

8. #### trait DoubleIsConflicted extends Numeric[Double]

9. #### trait DoubleIsFractional extends DoubleIsConflicted with Fractional[Double]

10. #### trait ExtraImplicits extends AnyRef

11. #### trait FloatAsIfIntegral extends FloatIsConflicted with Integral[Float]

12. #### trait FloatIsConflicted extends Numeric[Float]

13. #### trait FloatIsFractional extends FloatIsConflicted with Fractional[Float]

14. #### trait IntIsIntegral extends Integral[Int]

15. #### trait LongIsIntegral extends Integral[Long]

16. #### trait ShortIsIntegral extends Integral[Short]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object BigDecimalAsIfIntegral extends BigDecimalAsIfIntegral with BigDecimalOrdering

5. #### implicit object BigDecimalIsFractional extends BigDecimalIsFractional with BigDecimalOrdering

6. #### implicit object BigIntIsIntegral extends BigIntIsIntegral with BigIntOrdering

7. #### implicit object ByteIsIntegral extends ByteIsIntegral with ByteOrdering

8. #### implicit object CharIsIntegral extends CharIsIntegral with CharOrdering

9. #### object DoubleAsIfIntegral extends DoubleAsIfIntegral with DoubleOrdering

10. #### implicit object DoubleIsFractional extends DoubleIsFractional with DoubleOrdering

11. #### object FloatAsIfIntegral extends FloatAsIfIntegral with FloatOrdering

12. #### implicit object FloatIsFractional extends FloatIsFractional with FloatOrdering

13. #### object Implicits extends ExtraImplicits

14. #### implicit object IntIsIntegral extends IntIsIntegral with IntOrdering

15. #### implicit object LongIsIntegral extends LongIsIntegral with LongOrdering

16. #### implicit object ShortIsIntegral extends ShortIsIntegral with ShortOrdering

17. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped